package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Hyperlink;

/**
 * 超链接Mapper接口
 * 
 * @author boman
 * @date 2024-04-30
 */
public interface HyperlinkMapper 
{
    /**
     * 查询超链接
     * 
     * @param hyperlinkId 超链接主键
     * @return 超链接
     */
    public Hyperlink selectHyperlinkByHyperlinkId(Long hyperlinkId);

    /**
     * 查询超链接列表
     * 
     * @param hyperlink 超链接
     * @return 超链接集合
     */
    public List<Hyperlink> selectHyperlinkList(Hyperlink hyperlink);

    /**
     * 新增超链接
     * 
     * @param hyperlink 超链接
     * @return 结果
     */
    public int insertHyperlink(Hyperlink hyperlink);

    /**
     * 修改超链接
     * 
     * @param hyperlink 超链接
     * @return 结果
     */
    public int updateHyperlink(Hyperlink hyperlink);

    /**
     * 删除超链接
     * 
     * @param hyperlinkId 超链接主键
     * @return 结果
     */
    public int deleteHyperlinkByHyperlinkId(Long hyperlinkId);

    /**
     * 批量删除超链接
     * 
     * @param hyperlinkIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHyperlinkByHyperlinkIds(Long[] hyperlinkIds);
}
